/*  
Name: ChainedConditionals_4.java
Role: More complicated conditionals...

Author: Sam Vinitsky
Date: 6/27
*/
public class ChainedConditionals_4{
    
    // TEACH
    // if temp is 100 or more, print "yes"
    // if temp is between 32 and 100, print "no"
    // if temp is 32 or lower, say "no, it's too cold"
    public static void isItUnbearablyHot(int temp){

        // allows choosing between >2 options
        // only ONE of the bodies will run
        // else from if 1 IS if 2... (add parentheses...)
        if (temp > 100){
            // body 1
            System.out.println("yes");
        } else if (temp > 32) {
            // body 2
            System.out.println("no");
        } else {
            // body 3
            System.out.println("no, it's too cold");
        }
    }

    public static void main(String[] args){

        // TRACE (us)
        // int x = 5; /// change this...
        // int y = 10;
        // if (x > 1000){
        //     System.out.println("x was big!");
        // } else if (x > 0){
        //     System.out.println("x was positive");
        // } else if (y == 10){
        //     System.out.println("y was 10");
        // }

        // TRACE (you)
        // boolean condition = false;
        // int z = 11;
        // double d = z / 2.0;
        // if (z > d || condition){
        //     z = 0;
        //     d = 0;
        //     System.out.println("First print");
        // } else if (z == 0){
        //     System.out.println("z was 0");
        // } if (d==0){
        //     System.out.println("d was 0");
        // }
    }

    // WRITE (us)
    // if temp is 100 or more, realFeel is temp * (1 + humidity)
    // if temp is between 80 and 100, realFeel is temp
    // if temp is 80 or lower, realFeel is (temp * (1-2*humidity))
    public static double computeRealFeel(int temp, double humidity){
        double realFeel = 0.0;

        // we write this...

        return realFeel;
    }

    // WRITE (you)
    // if it's 100 or more, I will sleep no matter what
    // if it's between 60 (inclusive) and 100, and is late, I will sleep
    // if it's under 60, I will not sleep no matter what
    public static boolean shouldISleep(int temp, boolean isLate){
        boolean sleep = false;

        // you write this...

        return sleep;
    }
}