/*  
Name: BooleanLogic_6.java
Role: Teach you all about boolean logic!!!

Author: Sam Vinitsky
Date: 6/27
*/
public class BooleanLogic_2 {
    
    public static void main(String[] args){

        ///////////
        // TEACH //
        ///////////

        // and &&
        // draw a truth table!!!
        // boolean x = false;
        // boolean y = true;
        // if (x && y){
        //     System.out.println("It was true!")
        // } else {
        //     System.out.println("It was false!")
        // }

        // or ||
        // draw a truth table!!!
        // boolean x = false;
        // boolean y = true;
        // if (x || y){
        //     System.out.println("It was true!")
        // } else {
        //     System.out.println("It was false!")
        // }

        // not !
        // boolean x = false;
        // if (!x){
        //     System.out.println("It was true!")
        // } else {
        //     System.out.println("It was false!")
        // }

        // ==, !=
        // draw a truth table!!!
        // boolean x = false;
        // boolean y = true;
        // if (x == y){
        //     System.out.println("It was true!")
        // } else {
        //     System.out.println("It was false!")
        // }

        // complicated expressions...
        
        // precedence!
        // 1: ()
        // 2: !
        // 3: casting
        // 4: * / %
        // 5: + -
        // 6: < <= > >=
        // 7: == !=
        // 8: &&
        // 9: ||
        // 10: =

        ///////////
        // TRACE //
        ///////////

        // Truth table (us)
        // (a || b) && (!b)
        //
        // Trace: (us)
        // boolean a = false;
        // boolean b = true;
        // if ( (a || b) && (!b){
        //     System.out.println("It was true!")
        // } else{
        //     System.out.println("It was false!")
        // }

        // Truth table: (you)
        // no parentheses... same as before?
        // a || b && !b
        // 
        // boolean a = false;
        // boolean b = true;
        // if ( a || b && !b){ 
        //     System.out.println("It was true!")
        // } else{
        //     System.out.println("It was false!")
        // }

        ///////////
        // WRITE //
        ///////////

        // write (us): 
        // a boolean expression involving a and b 
        // expression is true when a is true and b is false 
        // (and false in all other cases..)
        // how can we test?

        // write (you): 
        // a boolean expression involving x and y
        // true: if x and y and both false
        // false: all other cases
        // test it
    }
}